from enum import Enum

class NodeTypeEnum(Enum):
    DEVICE   = 'device'
    ENDPOINT = 'endpoint'

class EndPointTypeEnum(Enum):
    COPPER    = 'copper'
    OPTICAL   = 'optical'
    MICROWAVE = 'microwave'

class EdgeTypeEnum(Enum):
    INTERNAL  = 'internal'
    COPPER    = 'copper'
    OPTICAL   = 'optical'
    MICROWAVE = 'microwave'
    VIRTUAL   = 'virtual'
    OTHER     = 'other'

class LayerTypeEnum(Enum):
    COPPER    = 'copper'
    OPTICAL   = 'optical'
    MICROWAVE = 'microwave'
